> ## Documentation Index
> Fetch the complete documentation index at: https://docs.antarah.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List a project's API keys (newest first, never with `value`)



## OpenAPI

````yaml https://api.antarah.dev/openapi.json get /v1/organization/projects/{project_id}/api_keys
openapi: 3.1.0
info:
  title: Antara API
  version: 1.0.0
  description: OpenAI- and Anthropic-compatible inference plus organization management.
servers:
  - url: https://api.antarah.dev
security: []
paths:
  /v1/organization/projects/{project_id}/api_keys:
    get:
      summary: List a project's API keys (newest first, never with `value`)
      parameters:
        - schema:
            type: string
            pattern: ^proj_[0-9a-f]{32}$
            example: proj_0193a6c2e7b47c3d9f1e2a4b5c6d7e8f
          required: true
          name: project_id
          in: path
        - schema:
            type: string
            minLength: 1
            maxLength: 200
          required: false
          name: after
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectApiKeyList'
        default:
          description: RFC 9457 problem details
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Problem'
      security:
        - adminKey: []
        - session: []
components:
  schemas:
    ProjectApiKeyList:
      type: object
      properties:
        object:
          type: string
          enum:
            - list
        data:
          type: array
          items:
            $ref: '#/components/schemas/ProjectApiKey'
        has_more:
          type: boolean
        first_id:
          type:
            - string
            - 'null'
        last_id:
          type:
            - string
            - 'null'
      required:
        - object
        - data
        - has_more
        - first_id
        - last_id
    Problem:
      type: object
      properties:
        type:
          type: string
        title:
          type: string
        status:
          type: integer
        detail:
          type:
            - string
            - 'null'
        instance:
          type: string
        code:
          type: string
        request_id:
          type: string
        param:
          type:
            - string
            - 'null'
        errors:
          type: array
          items:
            type: object
            properties:
              pointer:
                type: string
              detail:
                type: string
            required:
              - pointer
              - detail
      required:
        - type
        - title
        - status
        - detail
        - instance
        - code
        - request_id
        - param
    ProjectApiKey:
      type: object
      properties:
        id:
          type: string
          pattern: ^key_[0-9a-f]{32}$
          example: key_0193a6c2e7b47c3d9f1e2a4b5c6d7e8f
        object:
          type: string
          enum:
            - organization.project.api_key
        name:
          type: string
        redacted_value:
          type: string
          description: Prefix + `…` + last 4
          example: ak_…x9Qe
        owner:
          type: object
          properties:
            type:
              type: string
              enum:
                - project
            id:
              type: string
              pattern: ^proj_[0-9a-f]{32}$
              example: proj_0193a6c2e7b47c3d9f1e2a4b5c6d7e8f
            name:
              type: string
          required:
            - type
            - id
            - name
        status:
          type: string
          enum:
            - active
            - revoked
            - expired
            - suspended
        permissions:
          type: array
          items:
            type: string
            enum:
              - inference
              - models:read
              - credits:read
        created_at:
          type: integer
          description: Unix seconds
          example: 1793750400
        last_used_at:
          type:
            - integer
            - 'null'
          description: Unix seconds
          example: 1793750400
        expires_at:
          type:
            - integer
            - 'null'
          description: Unix seconds
          example: 1793750400
      required:
        - id
        - object
        - name
        - redacted_value
        - owner
        - status
        - permissions
        - created_at
        - last_used_at
        - expires_at
  securitySchemes:
    adminKey:
      type: http
      scheme: bearer
      description: '`ak_admin_…` Admin API key'
    session:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Supabase access token + `Antara-Organization` (management) or
        `Antara-Project` (inference)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.